**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/20.1/configuration-migration/validate-package.md

# Validate Package



Validate a VPK package attached to this request. The validation response will include information on dependent components and whether they exist in the package or the target Vault.
For packages that include Vault Java SDK code, this checks checks code compilation and restrictions in use of the JDK. For example, `new` is not allowed for non-whitelisted classes. Learn more about [limits and restrictions](/vault-sdk/references/limits-restrictions).

This endpoint does not import your package.

<Endpoint path="/api/{version}/services/package/actions/validate" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) |
</FieldTable>

## Body Parameters {#body-parameters}

To upload the VPK file, use the multi-part attachment with the file component `”file={filename}”`. The maximum allowed file size is 2GB.

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
https://veepharm.veevavault.com/api/v20.1/services/package/actions/validate \
-H 'Content-Type: application/x-www-form-urlencoded' \
-F ‘file=10000711_PKG-0025.vpk'

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseDetails": {
        "summary": "February Migration",
        "author": "jennie@veepharm.com",
        "package_name": "PKG-0025",
        "source_vault": "10000711",
        "package_status": "Blocked",
        "total_steps": 2,
        "total_steps_blocked": 1,
        "start_time": "04:02:2020 09:52:34",
        "end_time": "04:02:2020 09:52:34",
        "package_error": "",
        "package_steps": [
            {
                "name__v": "00010",
                "step_type__v": "Component",
                "step_label__v": "Test for VS-4859",
                "step_name__v": "test_for_vs4859__c",
                "type__v": "Doctype",
                "deployment_status__v": "Verified",
                "deployment_action": "Add (missing in Vault)",
                "dependencies": [
                    {
                        "component_name": "disable_vault_overlays__v",
                        "component_type": "Docfield",
                        "subcomponent_name": "",
                        "subcomponent_type": "",
                        "status": "In Target"
                    },
                    {
                        "component_name": "datetime__c",
                        "component_type": "Docfield",
                        "subcomponent_name": "",
                        "subcomponent_type": "",
                        "status": "Missing - Ignore"
                    },
                ]
            },
            {
                "name__v": "00020",
                "step_type__v": "Component",
                "step_label__v": "Docfielddependency.testforvs4859c_tacosc__c",
                "step_name__v": "testforvs4859c_tacosc__c",
                "type__v": "Docfielddependency",
                "deployment_status__v": "Blocked",
                "deployment_action": "Add (missing in Vault)",
                "dependencies": [
                    {
                        "component_name": "tacos__c",
                        "component_type": "Docfield",
                        "subcomponent_name": "",
                        "subcomponent_type": "",
                        "status": "Missing - Block"
                    },
                    {
                        "component_name": "test_for_vs4859__c",
                        "component_type": "Doctype",
                        "subcomponent_name": "",
                        "subcomponent_type": "",
                        "status": "In Package"
                    }
                ]
            }
        ]
    }
}

```
</CodeExample>

---

**Previous:** [Vault Configuration Report](/commercial/vault-api/api-reference/20.1/configuration-migration/vault-configuration-report)  
**Next:** [Sandbox Vaults](/commercial/vault-api/api-reference/20.1/sandbox-vaults)